# As of release 2.13, upstream renamed the package into HTML-Formatter

Name:           perl-HTML-Format
Version:        2.16
Release:        1%{?dist}
Summary:        HTML formatter modules

%if "%{version}" > "2.12"
# This package should be renamed into perl-HTML-Formatter
%global tarname HTML-Formatter
%else
%global tarname HTML-Format
%endif

License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/%{tarname}/
Source0:        http://www.cpan.org/authors/id/N/NI/NIGELM/%{tarname}-%{version}.tar.gz
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildArch:      noarch
BuildRequires:  perl-generators
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Encode)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Slurper)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Font::AFM) >= 1.17
BuildRequires:  perl(HTML::Element) >= 3.15
BuildRequires:  perl(HTML::TreeBuilder)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(Test::CPAN::Meta)
BuildRequires:  perl(Test::EOL)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Test::NoTabs)
BuildRequires:  perl(Test::Warnings)

BuildRequires:  perl(Font::Metrics::Courier)
BuildRequires:  perl(Font::Metrics::CourierBold)
BuildRequires:  perl(Font::Metrics::CourierBoldOblique)
BuildRequires:  perl(Font::Metrics::CourierOblique)
BuildRequires:  perl(Font::Metrics::Helvetica)
BuildRequires:  perl(Font::Metrics::HelveticaBold)
BuildRequires:  perl(Font::Metrics::HelveticaBoldOblique)
BuildRequires:  perl(Font::Metrics::HelveticaOblique)
BuildRequires:  perl(Font::Metrics::TimesBold)
BuildRequires:  perl(Font::Metrics::TimesBoldItalic)
BuildRequires:  perl(Font::Metrics::TimesItalic)
BuildRequires:  perl(Font::Metrics::TimesRoman)

# These must match
# FontFamilies in lib/HTML/FormatPS.pm
Requires:       perl(Font::Metrics::Courier)
Requires:       perl(Font::Metrics::CourierBold)
Requires:       perl(Font::Metrics::CourierBoldOblique)
Requires:       perl(Font::Metrics::CourierOblique)
Requires:       perl(Font::Metrics::Helvetica)
Requires:       perl(Font::Metrics::HelveticaBold)
Requires:       perl(Font::Metrics::HelveticaBoldOblique)
Requires:       perl(Font::Metrics::HelveticaOblique)
Requires:       perl(Font::Metrics::TimesBold)
Requires:       perl(Font::Metrics::TimesBoldItalic)
Requires:       perl(Font::Metrics::TimesItalic)
Requires:       perl(Font::Metrics::TimesRoman)


%description
A collection of modules that formats HTML as plaintext, PostScript or RTF.

%if "%{version}" > "2.12"
%package -n perl-%{tarname}
Summary:        %{summary}
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Obsoletes: perl-HTML-Format < %{version}-%{release}
Provides: perl-HTML-Format = %{version}-%{release}

%description -n perl-%{tarname}
A collection of modules that formats HTML as plaintext, PostScript or RTF.
%endif

%prep
%setup -q -n %{tarname}-%{version}

%build
%{__perl} Makefile.PL installdirs=vendor NO_PACKLIST=1
%{__make} %{?_smp_mflags}

%install
%{__make} pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
%{__make} test

%files -n perl-%{tarname}
%doc Changes README
%license LICENSE
%{perl_vendorlib}/HTML
%{_mandir}/man3/HTML*

%changelog
* Fri Dec 09 2016 Ralf Corsépius <corsepiu@fedoraproject.org> - 2.16-1
- Update to HTML-Formatter-2.16.
- Reflect upstream having switched to ExtUtils::MakeMaker.
- Spec cleanup.

* Tue May 17 2016 Jitka Plesnikova <jplesnik@redhat.com> - 2.14-4
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Dec 09 2015 Ralf Corsépius <corsepiu@fedoraproject.org> - 2.14-2
- Eliminate %%tarvers from spec.
- Spec file cosmetics.

* Wed Dec 09 2015 Ralf Corsépius <corsepiu@fedoraproject.org> - 2.14-1
- Update to HTML-Formatter-2.14.

* Wed Dec 09 2015 Ralf Corsépius <corsepiu@fedoraproject.org> - 2.12-2
- Flatten build tree.
- Disable RELEASE_TESTING, remove corresponding BRs.
- Preps for upstream having renamed dist into HTML-Formatter.
- Add %%license.
- Don't pretend to be supporting rhel < 7.

* Tue Oct 13 2015 Tom Callaway <spot@fedoraproject.org> - 2.12-1
- update to 2.12

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jun 09 2015 Jitka Plesnikova <jplesnik@redhat.com> - 2.11-5
- Perl 5.22 rebuild

* Wed May 27 2015 Jitka Plesnikova <jplesnik@redhat.com> - 2.11-4
- Disable using of Test::Vars with Perl 5.22

* Mon Sep 01 2014 Jitka Plesnikova <jplesnik@redhat.com> - 2.11-3
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Nov 07 2013 Ralf Corsépius <corsepiu@fedoraproject.org> - 2.11-1
- Upstream update.
- Drop perl-HTML-Format-2.10.diff.

* Sun Aug 04 2013 Petr Pisar <ppisar@redhat.com> - 2.10-9
- Perl 5.18 rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.10-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.10-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Nov 08 2012 Petr Šabata <contyk@redhat.com> - 2.10-6
- Add a few missing deps to avoid possible FTBFS
- Whitespace cleanup

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 21 2012 Petr Pisar <ppisar@redhat.com> - 2.10-4
- Perl 5.16 rebuild

* Thu Jun  7 2012 Marcela Mašláňová <mmaslano@redhat.com> - 2.10-3
- conditionalize dependency on Pod::Wordlist::hanekomu 

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Aug 22 2011 Ralf Corsépius <corsepiu@fedoraproject.org> - 2.10-1
- Upstream update.
- Build in HTML-Format-%%{version} subdir.
- Add HTML-Format-2.10.diff.

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 2.09-2
- Perl mass rebuild

* Sun Jul 17 2011 Ralf Corsépius <corsepiu@fedoraproject.org> - 2.09-1
- Upstream update.

* Fri Apr 29 2011 Ralf Corsépius <corsepiu@fedoraproject.org> - 2.07-1
- Upstream update.
- Reflect upstream having switched to Build.PL.

* Thu Mar 03 2011 Ralf Corsépius <corsepiu@fedoraproject.org> - 2.05-1
- Upstream update.
- Reflect Source0:-URL having changed.
- Rework spec-file.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.04-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Dec 17 2010 Marcela Maslanova <mmaslano@redhat.com> - 2.04-14
- 661697 rebuild for fixing problems with vendorach/lib

* Sun May 02 2010 Marcela Maslanova <mmaslano@redhat.com> - 2.04-13
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 2.04-12
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.04-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.04-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.04-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.04-8
- Rebuild for perl 5.10 (again)

* Sun Jan 20 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.04-7
- rebuild for new perl

* Mon Sep 03 2007 Ralf Corsépius <rc040203@freenet.de> - 2.04-6
- Update license tag.
- BR: perl(ExtUtils::MakeMaker).

* Tue Sep 05 2006 Ralf Corsépius <rc040203@freenet.de> - 2.04-5
- Mass rebuild.

* Wed Mar 01 2006 Ralf Corsépius <rc040203@freenet.de> - 2.04-4
- Rebuild for perl-5.8.8.

* Wed Aug 31 2005 Ralf Corsepius <rc040203@freenet.de> - 2.04-3
- Improve summary.

* Fri Aug 26 2005 Ralf Corsepius <ralf@links2linux.de> - 2.04-2
- Add Requires: perl(Font::Metrics:*).
- Minor Spec cleanup.

* Thu Aug 18 2005 Ralf Corsepius <ralf@links2linux.de> - 2.04-1
- FE submission.
